package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_mer_platform_no_rate
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsMerPlatformNoRate implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商户平台id
     */
    private Long merPlatformNoId;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 内部商户号
     */
    private String merNo;

    /**
     * 平台  1：拉卡拉
     */
    private Integer platformType;

    /**
     * 平台商户号
     */
    private String platformNo;

    /**
     * 银联商户号
     */
    private String cupNo;

    /**
     * 费率类型代码
     */
    private Integer rateTypeCode;

    /**
     * 费率类型名称
     */
    private String rateTypeName;

    /**
     * 手续费率(%)   例如：0.6
     */
    private BigDecimal ratePct;

    /**
     * 状态 0：不可用  1：可用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerPlatformNoId() {
        return merPlatformNoId;
    }

    public void setMerPlatformNoId(Long merPlatformNoId) {
        this.merPlatformNoId = merPlatformNoId;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public String getPlatformNo() {
        return platformNo;
    }

    public void setPlatformNo(String platformNo) {
        this.platformNo = platformNo;
    }

    public String getCupNo() {
        return cupNo;
    }

    public void setCupNo(String cupNo) {
        this.cupNo = cupNo;
    }

    public Integer getRateTypeCode() {
        return rateTypeCode;
    }

    public void setRateTypeCode(Integer rateTypeCode) {
        this.rateTypeCode = rateTypeCode;
    }

    public String getRateTypeName() {
        return rateTypeName;
    }

    public void setRateTypeName(String rateTypeName) {
        this.rateTypeName = rateTypeName;
    }

    public BigDecimal getRatePct() {
        return ratePct;
    }

    public void setRatePct(BigDecimal ratePct) {
        this.ratePct = ratePct;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsMerPlatformNoRate other = (BsMerPlatformNoRate) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerPlatformNoId() == null ? other.getMerPlatformNoId() == null : this.getMerPlatformNoId().equals(other.getMerPlatformNoId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getPlatformType() == null ? other.getPlatformType() == null : this.getPlatformType().equals(other.getPlatformType()))
            && (this.getPlatformNo() == null ? other.getPlatformNo() == null : this.getPlatformNo().equals(other.getPlatformNo()))
            && (this.getCupNo() == null ? other.getCupNo() == null : this.getCupNo().equals(other.getCupNo()))
            && (this.getRateTypeCode() == null ? other.getRateTypeCode() == null : this.getRateTypeCode().equals(other.getRateTypeCode()))
            && (this.getRateTypeName() == null ? other.getRateTypeName() == null : this.getRateTypeName().equals(other.getRateTypeName()))
            && (this.getRatePct() == null ? other.getRatePct() == null : this.getRatePct().equals(other.getRatePct()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerPlatformNoId() == null) ? 0 : getMerPlatformNoId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getPlatformType() == null) ? 0 : getPlatformType().hashCode());
        result = prime * result + ((getPlatformNo() == null) ? 0 : getPlatformNo().hashCode());
        result = prime * result + ((getCupNo() == null) ? 0 : getCupNo().hashCode());
        result = prime * result + ((getRateTypeCode() == null) ? 0 : getRateTypeCode().hashCode());
        result = prime * result + ((getRateTypeName() == null) ? 0 : getRateTypeName().hashCode());
        result = prime * result + ((getRatePct() == null) ? 0 : getRatePct().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merPlatformNoId=").append(merPlatformNoId);
        sb.append(", merId=").append(merId);
        sb.append(", merNo=").append(merNo);
        sb.append(", platformType=").append(platformType);
        sb.append(", platformNo=").append(platformNo);
        sb.append(", cupNo=").append(cupNo);
        sb.append(", rateTypeCode=").append(rateTypeCode);
        sb.append(", rateTypeName=").append(rateTypeName);
        sb.append(", ratePct=").append(ratePct);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}